// PROGRAMA: EjemploPWM
// Modula la intensidad luminosa del LED RGB con PWM
//   accediendo a sus registros de E/S

#include "PWM_LED_RGB.h"

#define   NUMCOLORES  360  // Número de combinaciones de color a generar
#define   FACTRED    5     // Factor de avance del color rojo
#define   FACTGRN    7     // Factor de avance del color verde
#define   FACTBLU    6     // Factor de avance del color azul
#define   DEGRAD    57.2

char  colores[NUMCOLORES][3];  // Matriz de combinaciones de color

void setup() {
  int i;                       // Contador bucle inicialización matriz colores
  
  Serial.begin(9600);          // Habilita la comunicación serie

  // Genera matriz de combinaciones de colores
  Serial.println("Inicializando la matriz de colores ...");
  for (i = 0; i < NUMCOLORES; i++){
      colores[i][0] = (sin((float)(i*FACTRED/DEGRAD)) + 1) * 125 + 5;          // Calcula valor i-ésimo intensidad rojo
      colores[i][1] = (sin((float)((i*FACTGRN + 120)/DEGRAD)) + 1) * 125 + 5;  // Calcula valor i-ésimo intensidad verde
      colores[i][2] = (sin((float)((i*FACTBLU + 240)/DEGRAD)) + 1) * 125 + 5;  // Calcula valor i-ésimo intensidad azul
    }
    
  Serial.println("Configurando registros PWM ..."); 

  PWMsetup();                  // Configura el controlador PWM 
  
  Serial.println("Dispositivo configurado");
  Serial.println(" ");  
}

void loop() {
  Serial.println("INICIO DE CICLO. LED RGB encendido en blanco");
  Serial.println("Presiona el pulsador para iniciar ...");
  EjemploPWM(NUMCOLORES);      // Llama a la función que modifica la intensidad del LED
  Serial.println(" "); 
}

