/*
  PWM_LED_rojo
  Modula la intensidad luminosa del LED rojo utilizando PWM
  Muestra los contenidos de los registros de configuración
*/

#include "PWM_LED_rojo.h"

// Declaración de constantes
// -------------------------
#define PULSPIN  13       // Pin donde está conectado el pulsador


// Setup
// -----    
void setup() {
  Serial.begin(9600);     // Habilita la comunicación serie

  Serial.println("\n");

  Serial.print("Configurando pulsador..."); 
  pinMode(PULSPIN, INPUT_PULLUP);  // Configura pin pulsador como entrada con pull-up
  Serial.println(" hecho!");

  Serial.println("Configurando PWM...");  
  PWM_setup();
  Serial.println("Hecho!\n");
  
  Serial.println("Inicio del programa");
  Serial.println("-------------------");
  PWM_print_duty_cycle();
}

void loop() {
  
  while(digitalRead(PULSPIN) == HIGH); // Mientras el pulsador no esté pulsado, espera
  
  PWM_inc_cdty();
  PWM_print_duty_cycle();
  
  delay(500);             // Espera medio segundo antes de volver a empezar
}

