/*
  serial_wrapper
    It provides wrapped versions of some of the Arduino Serial methods, so that they can
    be called from assembly code.
*/

#include "Arduino.h"


// printNL - prints a newline
extern "C" void printNL() {
  Serial.print("\n");
}

// printInt - prints an integer (in decimal)
extern "C" void printInt(int num) {
  Serial.print(num);
}


// printString - prints a string
extern "C" void printString(char* str) {
  Serial.print(str);
}

// printWord - prints an hexadecimal word using 8 digits, padding with '0's if necessary
// padding code has been adapted from original «ponceros» by German Fabregat Llueca
extern "C" void printWord(int num) {
  Serial.print("0x");
  int j = 0x10000000;
  while (num < j && j!=1) {
    Serial.print("0");
    j = j >> 4;
  }
  Serial.print(num, HEX);
}



